> ## Documentation Index
> Fetch the complete documentation index at: https://docs.proxylane.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate proxies

> Builds connection strings from the sub-account login.



## OpenAPI

````yaml /resellers/openapi.json post /subaccounts/{id}/proxies
openapi: 3.1.0
info:
  title: ProxyLane Reseller API
  version: 1.0.0
  description: Residential traffic, sub-accounts, proxy generation and static ISP IPs.
servers:
  - url: https://proxylane.dev/api/v1
security:
  - bearer: []
paths:
  /subaccounts/{id}/proxies:
    post:
      summary: Generate proxies
      description: Builds connection strings from the sub-account login.
      operationId: generateProxies
      parameters:
        - $ref: '#/components/parameters/SubaccountId'
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                country:
                  type: string
                  example: US
                region:
                  type: string
                city:
                  type: string
                isp:
                  type: string
                protocol:
                  type: string
                  enum:
                    - http
                    - socks5
                  default: http
                session_mode:
                  type: string
                  enum:
                    - rotating
                    - sticky
                    - timed
                  default: rotating
                ttl:
                  type: integer
                  minimum: 1
                  maximum: 259200
                  description: Seconds, for timed sessions
                gateway:
                  type: string
                  enum:
                    - europe
                    - america
                    - asia
                  default: europe
                count:
                  type: integer
                  minimum: 1
                  maximum: 1000
                  default: 1
                format:
                  type: string
                  enum:
                    - url
                    - host_first
                    - user_first
                  default: url
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      count:
                        type: integer
                      format:
                        type: string
                      proxies:
                        type: array
                        items:
                          type: string
        '409':
          $ref: '#/components/responses/Error'
        '410':
          $ref: '#/components/responses/Error'
        '422':
          $ref: '#/components/responses/Error'
components:
  parameters:
    SubaccountId:
      name: id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  responses:
    Error:
      description: Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              example: insufficient_pool_traffic
            message:
              type: string
            available_bytes:
              type: integer
            required_cents:
              type: integer
            fields:
              type: object
            balance_cents:
              type: integer
              description: Available USD balance in cents, on ISP `insufficient_balance`
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: A reseller key from the panel, starting with plr_

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.